/**
 * output package name
 */
package com.kingdee.eas.custom.integration.feishu.bizEnum;

import java.util.Map;
import java.util.List;
import java.util.Iterator;
import com.kingdee.util.enums.StringEnum;

/**
 * output class name
 */
public class LocaleEnum extends StringEnum
{
    public static final String ZHCN_VALUE = "zh-CN";//alias=ÖÐÎÄ

    public static final LocaleEnum ZHCN = new LocaleEnum("ZHCN", ZHCN_VALUE);

    /**
     * construct function
     * @param String localeEnum
     */
    private LocaleEnum(String name, String localeEnum)
    {
        super(name, localeEnum);
    }
    
    /**
     * getEnum function
     * @param String arguments
     */
    public static LocaleEnum getEnum(String localeEnum)
    {
        return (LocaleEnum)getEnum(LocaleEnum.class, localeEnum);
    }

    /**
     * getEnumMap function
     */
    public static Map getEnumMap()
    {
        return getEnumMap(LocaleEnum.class);
    }

    /**
     * getEnumList function
     */
    public static List getEnumList()
    {
         return getEnumList(LocaleEnum.class);
    }
    
    /**
     * getIterator function
     */
    public static Iterator iterator()
    {
         return iterator(LocaleEnum.class);
    }
}